--- 1.14/check_message.conf	2016-12-13 05:32:42.000000000 -0600
+++ 1.15/check_message.conf	2017-02-15 03:51:05.000000000 -0600
@@ -47,13 +47,19 @@
 
   warn
     remove_header = SpamTally
+    condition = ${if !eq{$acl_m_spam_user}{nobody}}
     add_header = SpamTally: Final spam score: $acl_m_easy69
 
+  warn
+    remove_header = SpamTally
+    condition = ${if eq{$acl_m_spam_user}{nobody}}
+    add_header = SpamTally: Final spam score: unset because ESF not run (SpamAssassin unset, whitelist, or skippped)
+
   drop
     condition = ${if !eq{$acl_m_esf_skip}{1}}
     condition = ${if >={$acl_m_easy69}{EASY_HIGH_SCORE_DROP}{1}{0}}
     condition = ${if !eq{$acl_m_spam_user}{nobody}}
-    message = Your message to <$recipients> was classified as SPAM.  Please add more content, cut down on HTML links, use fewer naughty words etc.  Also, ask your IT dept to make sure your mailserver has REVERSEDNS, SPF and is not on any black lists. Your score: $acl_m_easy69
+    message = Your message to <$recipients> was classified as SPAM.  Please add more content, cut down on HTML links, use fewer naughty words etc.  Also, ask your IT dept to make sure your mailserver has REVERSEDNS, SPF, DKIM, and is not on any black lists. Your score: $acl_m_easy69
 
   warn
     condition = ${if eq{$acl_m_esf_skip}{1}}
